<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="2d189d58-3325-4c19-9149-89d026d5cbfd" name="Changes" comment="Fixed">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/epam/training/andrea_torres/HomePage.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/epam/training/andrea_torres/HomePage.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/epam/training/andrea_torres/NewPastePage.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/epam/training/andrea_torres/NewPastePage.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/com/epam/training/andrea_torres/HomePageTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/com/epam/training/andrea_torres/HomePageTest.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager">
    <option name="groupingKeys">
      <option value="directory" />
      <option value="module" />
    </option>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JUnit5 Test Class" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="UPDATE_TYPE" value="REBASE" />
  </component>
  <component name="GitLabMergeRequestFiltersHistory">{
  &quot;lastFilter&quot;: {
    &quot;state&quot;: &quot;OPENED&quot;,
    &quot;assignee&quot;: {
      &quot;type&quot;: &quot;org.jetbrains.plugins.gitlab.mergerequest.ui.filters.GitLabMergeRequestsFiltersValue.MergeRequestsMemberFilterValue.MergeRequestsAssigneeFilterValue&quot;,
      &quot;username&quot;: &quot;andrea.torres2610&quot;,
      &quot;fullname&quot;: &quot;Andrea Torres&quot;
    }
  }
}</component>
  <component name="GitLabMergeRequestsSettings">{
  &quot;selectedUrlAndAccountId&quot;: {
    &quot;first&quot;: &quot;https://gitlab.com/andrea.torres2610/ta_training-java-task1&quot;,
    &quot;second&quot;: &quot;32762d30-e620-4db2-a9ed-8c69b1297746&quot;
  }
}</component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 6
}</component>
  <component name="ProjectId" id="2gMErvHS3FeDc7dAFDllJkEPYOD" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Application.SeleniumDriverTest.executor": "Run",
    "JUnit.GCHomePageTest.search.executor": "Run",
    "JUnit.HomePageTest (1).executor": "Run",
    "JUnit.HomePageTest.createNewPaste (1).executor": "Debug",
    "JUnit.HomePageTest.createNewPaste.executor": "Run",
    "JUnit.HomePageTest.executor": "Run",
    "JUnit.MainTest.executor": "Run",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary": "JUnit5",
    "com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit5": "",
    "git-widget-placeholder": "master",
    "kotlin-language-version-configured": "true",
    "last_opened_file_path": "C:/selenium-java-4.20.0",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "onboarding.tips.debug.path": "C:/Users/andre/ta_training-java/src/main/java/com/epam/training/andrea_torres/Main.java",
    "project.structure.last.edited": "Modules",
    "project.structure.proportion": "0.15",
    "project.structure.side.proportion": "0.2",
    "settings.editor.selected.configurable": "advanced.settings",
    "vue.rearranger.settings.migration": "true"
  },
  "keyToStringList": {
    "ChangesTree.GroupingKeys": [
      "module"
    ]
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.RecentsKey">
      <recent name="com.epam.training.andrea_torres.task3" />
      <recent name="com.epam.training.andrea_torres.task1" />
      <recent name="com.epam.training.andrea_torres" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.epam.training.andrea_torres.task1" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.HomePageTest.createNewPaste (1)">
    <configuration name="GCHomePageTest.search" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="ta_training-java" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.epam.training.andrea_torres.task3.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.epam.training.andrea_torres.task3" />
      <option name="MAIN_CLASS_NAME" value="com.epam.training.andrea_torres.task3.GCHomePageTest" />
      <option name="METHOD_NAME" value="search" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HomePageTest (1)" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="ta_training-java" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.epam.training.andrea_torres.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.epam.training.andrea_torres" />
      <option name="MAIN_CLASS_NAME" value="com.epam.training.andrea_torres.HomePageTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HomePageTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="ta_training-java" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.epam.training.andrea_torres.task1.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.epam.training.andrea_torres.task1" />
      <option name="MAIN_CLASS_NAME" value="com.epam.training.andrea_torres.task1.HomePageTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HomePageTest.createNewPaste (1)" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="ta_training-java" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.epam.training.andrea_torres.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.epam.training.andrea_torres" />
      <option name="MAIN_CLASS_NAME" value="com.epam.training.andrea_torres.HomePageTest" />
      <option name="METHOD_NAME" value="createNewPaste" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HomePageTest.createNewPaste" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="ta_training-java" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.epam.training.andrea_torres.task1.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.epam.training.andrea_torres.task1" />
      <option name="MAIN_CLASS_NAME" value="com.epam.training.andrea_torres.task1.HomePageTest" />
      <option name="METHOD_NAME" value="createNewPaste" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.HomePageTest.createNewPaste (1)" />
        <item itemvalue="JUnit.HomePageTest (1)" />
        <item itemvalue="JUnit.GCHomePageTest.search" />
        <item itemvalue="JUnit.HomePageTest.createNewPaste" />
        <item itemvalue="JUnit.HomePageTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="jdk-21.0.1-openjdk-21.0.1-f644763e9732-f98dd351" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="2d189d58-3325-4c19-9149-89d026d5cbfd" name="Changes" comment="" />
      <created>1715499250692</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1715499250692</updated>
      <workItem from="1715499251846" duration="19652000" />
      <workItem from="1715551983542" duration="14671000" />
      <workItem from="1715761064439" duration="434000" />
      <workItem from="1715912051889" duration="1236000" />
      <workItem from="1715919315674" duration="784000" />
      <workItem from="1715920112609" duration="499000" />
    </task>
    <task id="LOCAL-00001" summary="First solution">
      <option name="closed" value="true" />
      <created>1715663468712</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1715663468712</updated>
    </task>
    <task id="LOCAL-00002" summary="Adding assertions to the solution">
      <option name="closed" value="true" />
      <created>1715756009061</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1715756009061</updated>
    </task>
    <task id="LOCAL-00003" summary="Fixed">
      <option name="closed" value="true" />
      <created>1715919689204</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1715919689204</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="First solution" />
    <MESSAGE value="Adding assertions to the solution" />
    <MESSAGE value="Fixed" />
    <option name="LAST_COMMIT_MESSAGE" value="Fixed" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/src/main/java/com/epam/training/andrea_torres/NewPastePage.java</url>
          <line>39</line>
          <properties class="com.epam.training.andrea_torres.NewPastePage" method="getPasteExpiration">
            <option name="EMULATED" value="true" />
            <option name="WATCH_EXIT" value="false" />
          </properties>
          <option name="timeStamp" value="56" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>